%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-------------------------------------------------
%	TEMPLATE JNM 2017
%	v1.0
%	Kevin NADAUD
% Si vous trouvez un bug
% ou avez des suggestions :
% kevin.nadaud@gmail.com
%-------------------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
 
\ProvidesClass{jnm}[2014/11/14 template resume proceeding jnm, V1.0, kevin nadaud]
 
% classe de base
 \LoadClass[a4paper,10pt,twocolumn]{article} 

%%%%%%%%%%%%%%%%%%%%%%chargement des packages n\'ecessaires
\RequirePackage[top=2.5cm,bottom=2.5cm,right=2cm,left=2cm,headheight=1.25cm,headsep=10pt,marginparsep=0pt,columnsep=0.75cm,footskip=1.2cm]{geometry}
\RequirePackage{fancyhdr}
\RequirePackage{graphicx}
\RequirePackage[english,french]{babel}
\RequirePackage[small, font=bf, labelfont={up,bf}, justification=centering]{caption}
\RequirePackage{lmodern}
\renewcommand{\sfdefault}{phv}
\renewcommand{\rmdefault}{ptm}
\renewcommand{\ttdefault}{pcr}
\normalfont\selectfont
%%%%%%%%%%%%%%%%%%%%%%change le style du titre

\renewcommand{\@maketitle}{
\hfill
	\begin{minipage}[c]{.64\linewidth}
	\begin{center}%
	{\fontsize{14}{14}\selectfont \sf XXII\textsuperscript{\`emes} Journ\'ees Nationales Microondes\\[0,5em] 8-10 juin 2022 - Limoges\par}
	\end{center}
	\end{minipage}
	\begin{minipage}[c]{.17\linewidth}
	\includegraphics[width=1.3\linewidth]{./LOGO_JNM.png}
	\end{minipage}
		\begin{center}%
			\vspace{24pt}%{1.1cm}
			{\fontsize{16}{16}\selectfont \textbf{\@title} \par}
			\vspace{1.4em}
			{\@author\par}
			\vspace{0.5em}
			{\textit\@institute \par}
			{\textit\@email \par}
		\end{center}
		\par
}
\def\email#1{\def\@email{#1}}
	\def\institute#1{\def\@institute{#1}}
%%%%%%%%%%%%%%%%%%%%%%%change le style des sections
\parindent=0.5cm
\def\section{\@startsection{section}{1}{\z@}%
{5pt plus 1pt minus 1pt}%
{4pt plus 1pt minus 1pt}%
{\normalfont\large\bfseries}}%

\def\subsection{\@startsection{subsection}{2}{\parindent}%
{3pt plus 1pt minus 1pt}%
{3pt plus 1pt minus 1pt}%
{\normalfont\normalsize\itshape}}%

\def\subsubsection{\@startsection{subsubsection}{3}{2\parindent}
{3pt plus 1pt minus 1pt}%
{3pt plus 1pt minus 1pt}%
{\normalfont\normalsize\itshape}}%


%%%%%%%%%%%%%%%%%%%%%%changement de la num\'erotation
\renewcommand{\thesection}{\arabic{section}.}
\renewcommand{\thesubsection}{\arabic{section}.\alph{subsection}.}
\renewcommand{\thesubsubsection}{\arabic{section}.\alph{subsection}.\alph{subsubsection}.}
%%%%%%%%%%%%%%%%%%%%%r\'ed\'efinition plain
\fancypagestyle{plain}{%
\fancyhf{} % vide l'??en-t\^ete et le pied~de~page.
\fancyfoot[C]{\normalfont\sf\small XXII\textsuperscript{\`emes} Journ\'ees Nationales Microondes, 8-10 juin 2022 - Limoges}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}}
%%%%%%%%%%%%%%%%%%%%%d\'efinition my fancy
\fancypagestyle{myfancy}{%
\fancyhf{}
\fancyfoot[C]{\normalfont\sf\small XXII\textsuperscript{\`emes} Journ\'ees Nationales Microondes, 8-10 juin 2022 - Limoges}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
}
\pagestyle{myfancy}
%%%%%%%%%%%%%%%%%%%%% style figure
\addto\captionsfrench{\def\figurename{Figure}}
\captionsetup{labelsep=period}
\addto\captionsfrench{\def\tablename{Tableau}}

%%%%%%%%%%%%%%%%%%%%% Abstract
\def\abstractname{R\'esum\'e}
\def\abstract{\normalfont
	\noindent\itshape\leavevmode\kern-1pt\textbf{\abstractname}\ ---\relax
}
\def\endabstract{\relax\vspace{1.34ex}\par
	\normalfont\normalsize
}
%%%%%%%%%%%%%%%%%%% keywords
\def\keywordsname{Mots cl\'es}
\def\keywords{\normalfont
	\noindent\itshape\leavevmode\kern-1pt\textbf{\keywordsname}\ ---\relax
}
\def\endkeywords{\relax\vspace{1.34ex}\par
	\normalfont\normalsize
}
